Skip to main content
aboutsummaryrefslogtreecommitdiffstats
blob: 6c2277b80008100d22faeb308053c52e0fc76300 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
<?xml version="1.0" encoding="UTF-8"?>
<!-- For PDE build, remove "ws" and "arch" -->
<feature
      id="org.eclipse.linuxtools.lttng2.kernel"
      label="%featureName"
      version="1.1.0.qualifier"
      provider-name="%featureProvider">

   <description>
      %description
   </description>

   <copyright>
      %copyright
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <url>
      <update label="Linux Tools Update Site" url="http://download.eclipse.org/linuxtools/update"/>
   </url>

   <includes
         id="org.eclipse.linuxtools.tmf"
         version="0.0.0"
         name="Tracing and Monitoring Framework (TMF)"/>

   <includes
         id="org.eclipse.linuxtools.lttng2"
         version="0.0.0"
         name="Linux Tracing Toolkit next generation (LTTng)"/>

   <includes
         id="org.eclipse.linuxtools.ctf"
         version="0.0.0"
         name="Common Trace Format (CTF)"/>

   <requires>
      <import plugin="org.eclipse.core.runtime" version="3.7.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.help" version="3.5.100" match="greaterOrEqual"/>
      <import plugin="org.eclipse.core.resources" version="3.7.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.linuxtools.tmf.core" version="1.0.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.linuxtools.tmf.core" version="1.1.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.ui" version="3.7.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.ui.ide" version="3.7.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.linuxtools.tmf.ui" version="1.0.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.linuxtools.lttng2.core" version="1.0.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.linuxtools.lttng2.ui" version="1.0.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.linuxtools.lttng2.kernel.core" version="1.0.0" match="greaterOrEqual"/>
   </requires>

   <plugin
         id="org.eclipse.linuxtools.lttng2.kernel.core"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.linuxtools.lttng2.kernel.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.linuxtools.lttng.help"
         download-size="0"
         install-size="0"
         version="0.0.0"/>

</feature>

Back to the top